package com.lz.modules.flow.model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
/**
* <p>
* </p>*发起考核表
* @author quyixiao
* @since 2020-10-15
*/

@Data
@ApiModel(value = "发起考核Dto")
public class FlowStartDto {
    //
    @ApiModelProperty(value = "", name = "id")
    private Long id;
    //0,表示按月，1表示自定义
    @ApiModelProperty(value = "0,表示按月，1表示自定义", name = "cycleType")
    private Integer cycleType;
    //开始时间
    @ApiModelProperty(value = "开始时间", name = "startTime")
    private Date startTime;
    //结束时间
    @ApiModelProperty(value = "结束时间", name = "endTime")
    private Date endTime;
    //组id
    @ApiModelProperty(value = "组id，逗号隔开", name = "groupIds")
    private String groupIds;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }



    /**
     * 0,表示按月，1表示自定义 
     * @return
     */
    public Integer getCycleType() {
        return cycleType;
    }
    /**
     * 0,表示按月，1表示自定义 
     * @param cycleType
     */
    public void setCycleType(Integer cycleType) {
        this.cycleType = cycleType;
    }

    /**
     * 开始时间 
     * @return
     */
    public Date getStartTime() {
        return startTime;
    }
    /**
     * 开始时间 
     * @param startTime
     */
    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    /**
     * 结束时间 
     * @return
     */
    public Date getEndTime() {
        return endTime;
    }
    /**
     * 结束时间 
     * @param endTime
     */
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    /**
     * 组id 
     * @return
     */
    public String getGroupIds() {
        return groupIds;
    }
    /**
     * 组id 
     * @param groupIds
     */
    public void setGroupIds(String groupIds) {
        this.groupIds = groupIds;
    }

    @Override
    public String toString() {
        return "FlowStart{" +
                ",id=" + id +
                ",cycleType=" + cycleType +
                ",startTime=" + startTime +
                ",endTime=" + endTime +
                ",groupIds=" + groupIds +
                "}";
    }
}